
extractDist <- function(file) {
  L <- readLines(file)
  n <- length(L)
  as.numeric(strsplit(L[n]," ")[[1]][2])
}

rfdist <- data.frame(ml=numeric(0),nj=numeric(0),mp=numeric(0))

for(i in 1:10) {
  system("seq-gen  -mHKY -t 3 -s 0.1 -l 800 < truetree > sequences")
  
  system("phylip dnaml < dnaml.control") 
  system("phylip treedist < treedist.control")
  rfdist[i,"ml"] <- extractDist("outfile")

  system("phylip dnadist < dnadist.control")
  system("phylip neighbor < neighbor.control")
  system("phylip treedist < treedist.control")
  rfdist[i,"nj"] <- extractDist("outfile")
  
  system("phylip dnapars < dnapars.control") 
  system("phylip treedist < treedist.control")
  rfdist[i,"mp"] <- extractDist("outfile")
}

rfdist
apply(rfdist,2,function(x) sum(x==0)/length(x))
